c
c.....impurity.inc - description of the local impurity cluster.
c
c.....nimneq ...... number of non-equivalent impurity ions.
c.....nimtot ...... total number of impurity ions.
c.....typimp() .... type of impurity ion.
c.....xximp(,) .... coordinates of impurity ion.
c.....vmploc() .... multipolar electrostatic interaction matrix for
c                   local contribution
c.....eloc() ...... local energy of non-equivalent impurity ion.
c.....enlnol ...... non local contribution to enuclat.
c.....vnsrnol() ... non local contribution to vnsr().
c.....vesrnol() ... non local contribution to vesr().
c.....vexnol() .... non local contribution to vex().
c.....planol() .... non local contribution to pla().
c
      integer           nimneq, nimtot, typimp(mimp)
      real*8            ximp(mimp), yimp(mimp), zimp(mimp)
      real*8            xximp(mimp,3)
      equivalence       (xximp(1,1), ximp(1))
      equivalence       (xximp(1,2), yimp(1))
      equivalence       (xximp(1,3), zimp(1))
      real*8            eloc(mnt)
      real*8            vmploc(mdens)
      real*8            enlnol, vnsrnol(mdens), vesrnol(mdens)
      real*8            vexnol(mdens), planol(mdens)
      common /imp1/     nimneq, nimtot, typimp
      common /imp2/     xximp
      common /imp3/     eloc
      common /imp4/     enlnol, vmploc, vnsrnol, vesrnol,
     &                  vexnol, planol
