c
c.....red.inc - lattice description (real and reciprocal).
c
c.....ared..cred . lattice parameters (in bohr).
c.....arec..crec . lattice reciprocal parameters (in bohr).
c.....alf..gam ... lattice angles (in degrees).
c.....alfr..gamr ... lattice reciprocal angles (in degrees).
c.....aa() ....... cell parameters (equivalenced to ared..cred)
c.....bb() ....... cell angles (equivalenced to alf, bet, gam)
c.....cosdir() ... cos(bb()) (equivalenced to calf..cgam)
c.....sindir() ... sin(bb()) (equivalenced to salf..sgam)
c.....g() ........ metric tensor in supervector form
c.....gr() ........ metric reciprocal tensor in supervector form 
c.....omega ....... cell volume
c
      real*8            ared, bred, cred, arec, brec, crec,
     &                  alf, bet, gam, calf, cbet, cgam, 
     &                  calfr, cbetr, cgamr,salf, sbet, sgam,
     &                  sgamr, aa, bb, cosdir, sindir, 
     &                  g, gr, root, rootr, omega, pieta2, piomega
      common /rec0/     arec, brec, crec, calfr, cbetr, cgamr,
     &                  sgamr, gr(6), rootr
      common /red0/     aa(3), bb(3), cosdir(3), sindir(3), g(6), 
     &                  root, omega, pieta2, piomega
      equivalence       (aa(1), ared), (aa(2), bred), (aa(3), cred)
      equivalence       (bb(1), alf), (bb(2), bet), (bb(3), gam)
      equivalence       (cosdir(1), calf), (cosdir(2), cbet),
     &                  (cosdir(3), cgam)
      equivalence       (sindir(1), salf), (sindir(2), sbet),
     &                  (sindir(3), sgam)
