c
c-----------------------------------------------------------------------
c
      subroutine sgmtml (x, i, y, j, z, k)
c
c.....sgmtml - space group matrix multiplication.
c
      include           'implicit.inc'
      include           'consts.inc'
      dimension         x(5,4,25), y(5,4,25), z(5,4,25)
c
      do 100 l=1,4
         do 101 m=1,4
            z(l,m,k) = zero
            do 102 n=1,4
               z(l,m,k) = z(l,m,k)+y(l,n,j)*x(n,m,i)
102         continue
101      continue
100   continue
      z(1,4,k) = mod(5d0+z(1,4,k),one)
      z(2,4,k) = mod(5d0+z(2,4,k),one)
      z(3,4,k) = mod(5d0+z(3,4,k),one)
      z(5,1,k) = 81*(2*z(1,1,k)+3*z(1,2,k)+4*z(1,3,k))
     &             +9*(2*z(2,1,k)+3*z(2,2,k)+4*z(2,3,k))
     &                +2*z(3,1,k)+3*z(3,2,k)+4*z(3,3,k)
      z(5,2,k) = 1728*z(1,4,k)+144*z(2,4,k)+12*z(3,4,k)
      z(5,3,k) = zero
      z(5,4,k) = zero
c
      return
      end
