c
c-----------------------------------------------------------------------
c
      subroutine atimer (tiempo)
c
c.....atimer - interface to the timer routines of different computers.
c
c     Returns machine seconds at the calling time.
c
c     It is deliberately ambiguous in defining "real", since it has to
c     match the system declaration of etime et al (float=real).
c
      real            tiempo
c
c     tarray(1) :  user time
c     tarray(2) :  system time.
c
*mdc*if unix
      real            tarray(2)
      tiempo = etime (tarray)
      tiempo = tarray(1)
*mdc*elsif vms
*      integer         tarray(2), k, ipointer
*      logical         firsttime
*      data firsttime /.true./
*      save ipointer, firsttime
*      if (firsttime) then
*         k = lib$init_timer (ipointer)
*         firsttime = .false.
*      endif
*      k = lib$stat_timer (2, tarray, ipointer)
*      tiempo = real(tarray(1))*0.01
*mdc*elsif lahey
*      integer         hundrdsec
*      call timer (hundrdsec)
*      tiempo = real(hundrdsec)/100
*mdc*endif
      return
      end
