c
c-----------------------------------------------------------------------
c
      logical function setlogic (lval, line, lp)
c
c.....setlogic - set lval to the logical value of the next word in
c     line, if any.
c
c     Only fortran style logical constants are recognized, i.e. .TRUE.
c     or .FALSE.
c
      include           'implicit.inc'
      include           'strtools.inc'
      logical           lval
      integer           lp
      character*(*)     line
c
      integer           i
      logical           done
      character*(7) uppcase
c
      setlogic = .false.
      ll = len(line)
      done = .false.
      do while (.not.done .and. lp.le.ll)
         done = line(lp:lp) .ne. blank
         lp = lp + 1
      enddo
      if (.not.done) return
      lp = lp - 1
      i = lp
      done = .false.
      do while (.not.done .and. i.le.ll)
         done = index (blank//','//newline//null,line(i:i)) .gt. 0
         i = i + 1
      enddo
      if (done) i = i - 1
      j = i - lp
      if (j.eq.7 .and. uppcase(line(lp:i-1)).eq.'.FALSE.') then
         lval = .false.
      else if (j.eq.6 .and. uppcase(line(lp:i-1)).eq.'.TRUE.') then
         lval = .true.
      else if (j.eq.3) then
         if (uppcase(line(lp:i-1)).eq.'.F.') then
            lval = .false.
         else if (uppcase(line(lp:i-1)).eq.'.T.') then
            lval = .true.
         else
            return
         endif
      else if (j.eq.1) then
         if (uppcase(line(lp:lp)).eq.'F') then
            lval = .false.
         else if (uppcase(line(lp:lp)).eq.'T') then
            lval = .true.
         else
            return
         endif
      else
         return
      endif
      lp = i
      setlogic = .true.
      return
      end
