c
c.....symmetry.inc - variales linked with the symmetry
c
c     nirrep ..... number of irreps
c     nsub   ..... number of subspecies 
c     label  ..... name of irreps
c     airrep ..... repetitions of irreps in real spherical
c                  harmonics basis
c     npgao ...... number of functions adpated to the 
c                  symmetry in a irrep
c     napgao ..... number of accumulated functions adpated 
c                   to the symmetry in a irrep
c     ntpgao ..... total number of functions adpated to
c                  the symmetry in a irrep
c     ngaos ...... number of gAOs for a irrep   
c     nagaos ..... number of accumulated gAOs
c     ntgaos ..... total number of gAOs
c     georb  ..... orbital energy of gAOs
c     gc ......... coeficients of gAOs
c     ngelec ..... electronic occupancy
c     coefu ...... coefficients of symmetry
c     coefUm ..... See eq. (4.120) Miguel Tesis
c     udpq ....... udpq(lm,lpq)=sum(mp,mq)U(mp,mq,lpq)d(lp,mp,lq,mq,l1,m1),
c                  where d(lp,mp,lq,mq,l1,m1) are Gaunt coefficients and
c                  U(mp,mq,lpq) are coefUm coefficients
c
      integer           nirrep, nsub 
      character*(6)  label
      integer           airrep, npgao, napgao, ntpgao, ngaos, nagaos,
     &                  ntgaos 
      common /symm1/    nirrep(mnt), nsub(mirrep,mnt), 
     &                  label(mirrep,mnt), 
     &                  airrep(mirrep,0:msa-1,mnt), npgao(mirrep,mnt),
     &                  napgao(mirrep+1,mnt), ntpgao(mnt),
     &                  ngaos(mirrep,mnt), nagaos(mirrep+1,mnt),
     &                  ntgaos(mnt)
      real*8            coefu,coefUm, udpq
      real*8            georb, gc,ngelec  
      common /symm2/    coefu(mirrep,msub,mairrep,0:lmax),
     &                  coefUm(mdens,-msa+1:msa-1,-msa+1:msa-1,mnt),
     &                  udpq(mdens,0:lmmax,mnt),
     &                  georb(maos,mnt), gc(mpgao,maos,mnt),
     &                  ngelec(maos,mnt)  
