c
c-----------------------------------------------------------------------
c
      subroutine tocart (x,y,z,ax,bx,cx)
c
c.....tocart - Coordinate conversion.
c
c Input: (x,y,z) Crystallographic coordinates.
c
c Output: (ax,bx,cx) (Orthogonal) cartesian coordinates (in atomic units)
c
      include           'implicit.inc'
      include           'red.inc'
c
      ax=ared*x+bred*cgam*y+cred*cbet*z
      dum=cred/sgam
      bx=bred*sgam*y+dum*(calf-cgam*cbet)*z
      cx=dum*z*root
      return
      end
