c
c-----------------------------------------------------------------------
c
      subroutine torecsp (x,y,z,ax,bx,cx)
c
c.....torecsp - Coordinate conversion (in lattice reciprocal).
c
c Input: (x,y,z) Crystallographic coordinates.
c
c Output: (ax,bx,cx) (Orthogonal) cartesian coordinates (in atomic units)
c
      include           'implicit.inc'
      include           'red.inc'
c
      ax=arec*x+brec*cgamr*y+crec*cbetr*z
      dum=crec/sgamr
      bx=brec*sgamr*y+dum*(calfr-cgamr*cbetr)*z
      cx=dum*z*rootr
      return
      end
