c
c.....converge.inc - variables that control the convergence in gPI
c     calculations.
c
c.....rlastshell .. max distance for neigbohrs contributing to the
c                   interaction energy.
c.....maxpicycles . max number of pi cycles.
c.....piconv ...... required convergence in the energy of the crystal.
c.....ewconv ...... required convergence in the Madelung energy.
c.....convnsr ..... required convergence in the nuclear short range term.
c.....convnl ...... required convergence in the nucleus-lattice term.
c.....convesr ..... required convergence in the coulomb short range term.
c.....convxp ...... required convergence in the exch. & proj. term.
c.....pidiv ....... divergence threshold for the PI iterations.
c
      integer           maxpicycles
      real*8            rlastshell, piconv, ewconv, convnsr, convnl,
     &                  convesr, convxp, pidiv
      common /conv/     rlastshell, piconv, ewconv, convnsr, convnl,
     &                  convesr, convxp, pidiv, maxpicycles
