c
c.....environ.inc - description of the environment of each ion.
c
c.....nenv ........ num of shells forming the environment.
c.....nenvni() .... num of shells of each type in the environment.
c.....eqenv() .... num of identical ions in the shell.
c.....renv() ...... distance from the active ion to the shell.
c..(x,y,z,)env() .. crystallographic coordinates of each ion in the
c                   shell.
c.....infsystem ... True for those systems of infinite size, as 3D
c                   crystals. False otherwise.
c.....envread ..... True when environment is read from external file.
c.....titenv() .... title for the environment.
c
      integer           nenv, maxeq, nenvni(mnt), eqenv(mred)
      parameter         (maxeq = 1000)
      common /env1/     nenv, nenvni, eqenv
      real*8            renv(mred)
      real*8            xenv(maxeq,mred), yenv(maxeq,mred), 
     &                  zenv(maxeq,mred)
      common /env2/     renv, xenv, yenv, zenv
      logical           infsystem
      character*(ilen)  titenv(mnt)
      common /env3/     infsystem, titenv
