c
c.....intg.inc - monoelectronic integrals used in the scf process.
c
c.....ss() ...... overlap matrix.
c.....t() ....... kinetic energy matrix.
c.....u() ....... nuclear attraction matrix.
c.....v() ....... total potential due to the lattice.
c.....p() ....... (J-K/2) closed shell supermatrix.
c.....q() ....... open shell Roothaan-Bagus supermatrix.
c.....xk() ...... K supermatrix for TMRS non-local exchange.
c
      real*8            ss, t, u, v, p, q, xk
      common /intg/     ss(mdens), t(mdens), u(mdens), v(mdens),
     &                  p(maxpq), q(maxpq), xk(maxpq)
