c
c.....rsh.inc - real spherical harmonics manipulation routines
c
c     Real spherical harmonic (RSH) S_{l,m} will be stored as
c     element (l*(l+1)+m) of a supervector slm(0:maxl(maxl+2)), and
c     accessed as slm(il0(l)+m).
c
c     il0() ........... index of the S_{l,0} RSH ( il0(l) = l*(l+1) )
c     slm/slm2 .......  RSH
c
      integer           il0(0:maxl)
      real*8            slm(0:l2mmax), slm2(0:l2mmax)
      common /rshcom/   il0, slm, slm2
