c
c.....scf.inc - common variables used in the scf system.
c
c.....mxxtrp ..... max SCF iterations allowed.
c.....bias ....... use threm*2**bias as initial convergence threshold.
c.....nxtrp ...... duplicate threshold every nxtrp iterations.
c.....scfdiv ..... SCF divergence threshold.
c.....threm ...... initial convergence scale will be threm*(2^bias)
c.....nitscf ..... actual number of iterations done.
c.....thrscf ..... SCF convergence reached.
c.....cm1scf() ... last iteration coefficients.
c.....cm2scf() ... previous to last iteration coefficients.
c.....dt() ....... total density matrix.
c.....dos() ...... open shell density matrix.
c.....fc() ....... closed shell fock matrix.
c.....fo() ....... open shell fock matrix.
c.....c0scf() .... original coefficients (for damping).
c.....dodamp ..... .true. when damping was requested.
c.....damp ....... damping factor for the original coefficients.
c
      real*8            bias, scfdiv, threm
      integer           mxxtrp, nxtrp
      common /scf1/     bias, scfdiv, threm, mxxtrp, nxtrp
      real*8            cm1scf, cm2scf, dt, dos, fc, fo, thrscf
      integer           nitscf
      common /scf2/     cm1scf(mstosym,maos), cm2scf(mstosym,maos),
     &                  dt(mdens), dos(mdens), fc(mdens), fo(mdens),
     &                  thrscf, nitscf
      real*8            c0scf, e0orb, damp
      logical           dodamp
      common /scf3/     c0scf(mstosym,maos), e0orb(maos), damp, dodamp
