c
c-----------------------------------------------------------------------
c
      subroutine ifcent (l, d, lcent, ier)
c
c.....ifcent - determines parameters for I-F centered lattices.
c
      include           'implicit.inc'
      include           'consts.inc'
      dimension         d(3,3),l(4,4)
c
c.....is the lattice I or F-centered?
      if ( lcent.lt.5 ) then
c
c........is the lattice C-centered?
         if ( lcent.ne.4 ) then
            ier=23
            return
         endif
c
c........c-centred.  an A normal to C
         if ( l(3,2).eq.4.or.l(4,2).eq.4 )  then
c
c............C 4*/A * *
             d(1,3) = fourth
             d(2,3) = fourth
             if ( l(1,4).eq.3.or.l(1,4).eq.10 ) d(1,1)=half
             return
         endif
c
c........if ( l(3,2).eq.0 ) d(1,1)=two*d(2,2)+d(1,1)
         if ( d(1,1).eq.zero ) d(1,1)=two*d(2,2)
c
c........is there a 21 on the diagonal?
         if ( l(1,4).eq.13.and.l(2,4).eq.12 )  then
c
c...........P 4N/N * *
            d(1,3) = half
            return
         endif
         if ( l(2,2).le.0 ) return
c
c........is there a N-glide normal to (110)?
         if ( l(1,4).ne.10 ) return
         if ( l(2,2).gt.15 ) return
         d(1,1) = d(1,1)-two*d(2,2)
c
c........P 4N/N * *
         d(1,3) = half
         return
      endif
c
c.....yes.
c
c.....if there is a C along (110) place the D at Y=1/4
      if ( l(1,4).eq.2 ) d(2,1)=d(2,1)+half
c
c.....is this I 41/A * * or F 41/D * * ?
      if ( l(4,2).ne.4.and.l(4,2).ne.11 ) then
c
c........is there a 41 present?
         if ( l(2,2).ne.12 ) return
c
c........yes.
c........F-centered?
         if ( lcent.eq.6 ) then
c
c...........F 41 * *
            d(1,3) = fourth
            d(2,3) = 75d-2
            return
         endif
         d(2,3) = half
c
c........set the B-axis translation flags for I 41 2 2
         if ( lcent.eq.5 ) d(1,2) = half
         d(3,2) = 75d-2
         return
      endif
c
c.....yes
c
      d(1,3) = fourth
      if ( lcent.eq.5 ) d(2,3) = 75d-2
      return
      end
