c
c----------------------------------------------------------------------
c
      subroutine        sgrmat (rt, a, b, c, d, e, f, g, h, o)
c
c.....sgrmat - builds the rt(,) matrix out of the a..o rotational
c              elements.
c              rt(,) is a 5x4 matrix, which contains a 3x3 rotation
c              plus a column for the traslation, a row that could
c              represent a deformation of the axes (set to 0), and ...
c
      include           'implicit.inc'
      include           'consts.inc'
      integer           a, b, c, d, e, f, g, h, o
c
      dimension         rt(5,4)
c
      rt(1,1) = a
      rt(1,2) = b
      rt(1,3) = c
      rt(1,4) = zero
      rt(2,1) = d
      rt(2,2) = e
      rt(2,3) = f
      rt(2,4) = zero
      rt(3,1) = g
      rt(3,2) = h
      rt(3,3) = o
      rt(3,4) = zero
      rt(4,1) = zero
      rt(4,2) = zero
      rt(4,3) = zero
      rt(4,4) = one
      rt(5,1) = 81 * (2 * rt(1,1) + 3 * rt(1,2) + 4 * rt(1,3))
     &         + 9 * (2 * rt(2,1) + 3 * rt(2,2) + 4 * rt(2,3))
     &         + 2 * rt(3,1) + 3 * rt(3,2) + 4 * rt(3,3)
      rt(5,2) = zero
      rt(5,3) = 10d0
      rt(5,4) = 20d0
c
      return
      end
