c
c-----------------------------------------------------------------------
c
      subroutine        sgtrcf (m, rt, n, m2, lcent, laue, ier, lpt)
c
c.....sgtrcf - check rotation/traslation compatibility.
c
      include           'implicit.inc'
      include           'consts.inc'
      dimension         rt(5,4,25)
      dimension         icenv(3,5),ncvt(7),jcvt(7)
c
      data
     & icenv(1,1),icenv(2,1),icenv(3,1) /0,0,0/,
     & icenv(1,2),icenv(2,2),icenv(3,2) /0,6,6/,
     & icenv(1,3),icenv(2,3),icenv(3,3) /6,0,6/,
     & icenv(1,4),icenv(2,4),icenv(3,4) /6,6,0/,
     & icenv(1,5),icenv(2,5),icenv(3,5) /6,6,6/
c
      data
     & ncvt(1),ncvt(2),ncvt(3),ncvt(4),ncvt(5) /1,2,3,4,5/,
     & ncvt(6),ncvt(7)                         /4,1/
c
      data
     & jcvt(1),jcvt(2),jcvt(3),jcvt(4),jcvt(5) /1,1,2,3,4/,
     & jcvt(6),jcvt(7)                         /1,1/
c
      ier = 0
      irn = rt(5,2,n)
      irm = rt(5,2,m2)
      irx = mod((irn/144+irm/144),12)
      iry = mod((irn/12 +irm/12 ),12)
      irz = mod(irn+irm,12)
      ncv = ncvt(lcent)
      jcv = jcvt(lcent)
c
      do 100 icv=1,ncv,jcv
         irx1 = mod(irx+icenv(1,icv),12)
         iry1 = mod(iry+icenv(2,icv),12)
         irz1 = mod(irz+icenv(3,icv),12)
c
c........does this pair make a 1bar?
c
         m2z = m2
c
c........yes
c
         if ( rt(5,1,n)+rt(5,1,m2).eq.zero ) m2z=1
c
c........no
c
         if ( rt(3,3,n)+rt(3,3,m2z).le.zero ) irz1=0
c
c........is this an operator operating along the face diagonal?
c
         if ( laue.le.3.or.m.ne.4 ) then
c
c...........no
c
            if ( rt(1,1,n)+rt(1,1,m2z).le.zero ) irx1=0
            if ( rt(2,2,n)+rt(2,2,m2z).le.zero ) iry1=0
         else
c
c...........yes
c
            irx1 = mod(irx1+iry1,12)
            iry1 = 0
         endif
         itottr = 144*irx1+12*iry1+irz1
         if ( itottr.eq.0 ) return
 100  continue
c
c.....An error has been found
c
      if (lpt.gt.0) write (lpt,2990) rt(5,2,n),rt(5,2,m2),
     &    itottr,irx,iry,irz,rt(5,1,n),rt(5,1,m2)
      ier = 18
      if (lpt.gt.0) write (lpt,2991) m,n,m2
c
c.....formats
c
2990  format (2(1x,f9.1),4(1x,i4),2(1x,f9.1))
2991  format('operator ',i2,' generates matrix ',i3,' which has a',
     &       ' translation conflict',2(1x,i2))
c
      return
      end
