c
c.....star.inc - Stars that compose the different shells of the
c                surroundings of the atoms.
c
c     mstar ...  maximum number of star in each shell. 
c     nstar .... number of stars for a shell.
c     nelst .... number of atoms for a star.
c     indstar .. pointer that indicates the rotation (proper or 
c                improper) necessary for the symmetry functions.
c     xxstar ... Position of the representatives of the stars.
c     Umstar ... coefUm coefficients for frozen ions in the unit cell.
c     udstar ... udpq coefficients for frozen ions in the unit cell.
c
      integer         mstar
      parameter       ( mstar = 48 )
      integer         nstar, nelst, indstar
      common /star1/  nstar(mred), nelst(mstar,mred), 
     &                indstar(mstar,mred)
      real*8          xxstar, Umstar, udstar
      common /star2/  xxstar(3,mstar,mred), 
     &                Umstar(mdens,-msa+1:msa-1,-msa+1:msa-1),
     &                udstar(mdens,0:lmmax) 
