c
c-----------------------------------------------------------------------
c
      subroutine dater (action, luw)
c
c.....dater - prints out the date and time at the beginning/end of the
c     run.
c
c     When ACTION<=0 the beginning of run is signalled, and the
c     end is interpreted if ACTION>0. Note that the difference between
c     the beginning and end should not be interpreted as cpu time but
c     as elapsed clock time instead. For a appropriate cpu timing use
c     the routine: PRTIMER.
c     The parameter luw is the logical unit for printing the date.
c
      integer           action, luw
*mdc*if gnu
*      external          fdate
*mdc*endif
*mdc*if unix
      character*(25)    date
      call fdate (date)
      if (action .le. 0) then
         write (luw,100) date(1:24)
      else
         write (luw,105) date(1:24)
      endif
 100  format (/1x, '*DATE* The run started at: ', a/)
 105  format (/1x, '*DATE* The run ended at: ', a/)
*mdc*elsif vms
*      character*(9)    fdate
*      character*(8)    ftime
*      if (action .le. 0) then
*         call date (fdate)
*         call time (ftime)
*         write (luw,100) ftime//', '//fdate
*      else
*         call date (fdate)
*         call time (ftime)
*         write (luw,105) ftime//', '//fdate
*      endif
* 100  format (/1x, '*DATE* The run started at: ', a/)
* 105  format (/1x, '*DATE* The run ended at: ', a/)
*mdc*elsif lahey
*      character*(8)    fdate
*      character*(11)   ftime
*      if (action .le. 0) then
*         call date (fdate)
*         call time (ftime)
*         write (luw,100) ftime//', '//fdate
*      else
*         call date (fdate)
*         call time (ftime)
*         write (luw,105) ftime//', '//fdate
*      endif
* 100  format (/1x, '*DATE* The run started at: ', a/)
* 105  format (/1x, '*DATE* The run ended at: ', a/)
*mdc*endif
      return
      end
